Bug 466703 - suspend test fails due to Error: could not verify suspend
suspend test fails due to Error: could not verify suspend
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 23:04 EDT by Nicole Dai
Modified: 2014-03-25 20:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ======= The SUSPEND test always fails. Consequence: ============ No successful SUSPEND test run. Fix: ==== Change the test to parse the correct suspendMessage for "suspend" and "hibernate". Result: ======= The SUSPEND test works correctly now.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 12:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suspend/output.log (1.10 KB, text/x-log)
2009-01-22 01:31 EST, Yan Tian
no flags Details
/var/hts/results.xml (547.09 KB, text/xml)
2009-01-22 01:32 EST, Yan Tian
no flags Details
rhel5.3-i386-laptop-suspend.log (590 bytes, text/x-log)
2009-03-20 04:57 EDT, zhanghaiyan
no flags Details
rhel5.3-i386-laptop-suspend-result.xml (141.19 KB, text/xml)
2009-03-20 04:58 EDT, zhanghaiyan
no flags Details
rhel5.3-x86_64-laptop-suspend.log (590 bytes, text/x-log)
2009-03-20 04:58 EDT, zhanghaiyan
no flags Details
rhel5.3-x86_64-laptop-suspend-result.xml (148.81 KB, text/xml)
2009-03-20 04:59 EDT, zhanghaiyan
no flags Details
hts-5.3-17.el5-x86_64-laptop.log (590 bytes, text/x-log)
2009-04-25 03:55 EDT, zhanghaiyan
no flags Details
hts-5.3-17.el5-x86_64-laptop-result.xml (150.81 KB, text/xml)
2009-04-25 03:55 EDT, zhanghaiyan
no flags Details
results.xml on T60 (636.38 KB, text/xml)
2009-08-17 23:36 EDT, zhanghaiyan
no flags Details

  None (edit)
Description Nicole Dai 2008-10-12 23:04:28 EDT
Description of problem:
suspend tests failed in laptop with the following outputs:
Running ./suspend.py:
This test will suspend the operating system.
Please resume by pressing the power button after suspend has completed.
 suspend?  (y|n) y
response: y
Suspending in 5 sec
Has resume completed?  (y|n) y
response: y
Error: could not verify suspend
This test will suspend the operating system.
Please resume by pressing the power button after suspend has completed.
Please press the function key (Fn) to suspend the system to mem  (y|n) y
response: y
Has resume completed?  (y|n) y
response: y
Error: could not verify suspend
...finished running ./suspend.py, exit code=1
recovered exit code=1
hts-report-result /HTS/hts/suspend FAIL /var/log/hts/runs/1/suspend/output.log 
saveOutput: /var/log/hts/runs/1/suspend/output.log

Version-Release number of selected component (if applicable):
RHEL5.2 Server
hts-5.2-20.el5

How reproducible:
Always

Steps to Reproduce:
1. Execute #hts certify {-t | --test} suspend in laptop
2.
3.
  
Actual results:
FAIL

Expected results:
PASS

Additional info:
Comment 2 Greg Nichols 2008-10-13 12:12:05 EDT
Did you press function key to suspend the system?

Also, please attach the portion of /var/log/messages from when the test was run.
Comment 3 Nicole Dai 2008-10-13 21:53:29 EDT
The test prompted same failure whether I press function key (Fn) or not. Attached the /var/log/messages for your reference:
Oct 14 01:36:06 dhcp-66-70-61 hts/runtests[21296]: Beginning test run.
Oct 14 01:36:06 dhcp-66-70-61 kudzu[21357]: obsolete kudzu ddcProbe called
Oct 14 01:36:07 dhcp-66-70-61 hts/runtests[21296]: suspend: begin
Oct 14 01:36:07 dhcp-66-70-61 python: hts/runtests[21372]: suspend-OSCommand-mem: begin
Oct 14 01:36:27 dhcp-66-70-61 python: hts/runtests[21372]: suspend-OSCommand-mem: end
Oct 14 01:36:27 dhcp-66-70-61 python: hts/runtests[21372]: suspend-FunctionKey-mem: begin
Oct 14 01:36:41 dhcp-66-70-61 python: hts/runtests[21372]: suspend-FunctionKey-mem: end
Oct 14 01:36:41 dhcp-66-70-61 hts/runtests[21296]: suspend: end
Oct 14 01:36:41 dhcp-66-70-61 kudzu[21971]: obsolete kudzu ddcProbe called
Oct 14 01:36:41 dhcp-66-70-61 hts/runtests[21296]: info: begin
Comment 4 Greg Nichols 2008-10-27 10:45:52 EDT
Did the system actually suspend?

Did pressing the function key actually suspend the system?  In other words, 
can you suspend the system to memory via the function key?
Comment 5 Yan Tian 2009-01-22 01:31:05 EST
Reproduced this bug in hts-5.3-14 on RHEL5.3 Server i386 system with T60 laptop. Attached suspend/output.log and /var/hts/result.xml files. The system actually suspend for 4 times: 1-suspend to mem by itself, 2-suspend to disk by itself, 3-suspend to mem by function key(F4), 4-suspend to disk by function key(F12). All resumed successfully for these 4 times.
Comment 6 Yan Tian 2009-01-22 01:31:54 EST
Created attachment 329695 [details]
suspend/output.log
Comment 7 Yan Tian 2009-01-22 01:32:36 EST
Created attachment 329696 [details]
/var/hts/results.xml
Comment 8 zhanghaiyan 2009-03-20 04:42:57 EDT
Reproduced this bug in hts-5.3-16 on RHEL5.3 Server i386/x86_64 system with T60
laptop. 
Attached rhel5.3-x86_64-laptop-suspend.log, rhel5.3-x86_64-laptop-suspend-result.xml, rhel5.3-i386-laptop-suspend.log, rhel5.3-i386-laptop-suspend-result.xml.
actually suspend for 2 times: 1-suspend by itself, 2-suspend to mem by function key(F4). Both resumed successfully for these 2 times.
Comment 9 zhanghaiyan 2009-03-20 04:57:33 EDT
Created attachment 335987 [details]
rhel5.3-i386-laptop-suspend.log
Comment 10 zhanghaiyan 2009-03-20 04:58:03 EDT
Created attachment 335989 [details]
rhel5.3-i386-laptop-suspend-result.xml
Comment 11 zhanghaiyan 2009-03-20 04:58:35 EDT
Created attachment 335990 [details]
rhel5.3-x86_64-laptop-suspend.log
Comment 12 zhanghaiyan 2009-03-20 04:59:04 EDT
Created attachment 335991 [details]
rhel5.3-x86_64-laptop-suspend-result.xml
Comment 13 Greg Nichols 2009-03-20 10:27:23 EDT
Did the system actually suspend once (when you pushed the suspend-to-memory button), or twice (when the test said it was going to suspend the system)?
Comment 14 zhanghaiyan 2009-03-22 21:42:35 EDT
(In reply to comment #13)
> Did the system actually suspend once (when you pushed the suspend-to-memory
> button), or twice (when the test said it was going to suspend the system)?  

It actually suspended twice.
Comment 15 zhanghaiyan 2009-04-25 03:54:37 EDT
Reproduced this bug in hts-5.3-17.el5 on RHEL5.3 Server x86_64 system with T60
laptop. 
Attached hts-5.3-17.el5-x86_64-laptop.log and hts-5.3-17.el5-x86_64-laptop-result.xml

actually suspend for 2 times: 1-suspend by itself, 2-suspend to mem by function
key(F4). Both resumed successfully for these 2 times.
Comment 16 zhanghaiyan 2009-04-25 03:55:00 EDT
Created attachment 341291 [details]
hts-5.3-17.el5-x86_64-laptop.log
Comment 17 zhanghaiyan 2009-04-25 03:55:32 EDT
Created attachment 341292 [details]
hts-5.3-17.el5-x86_64-laptop-result.xml
Comment 29 Greg Nichols 2009-06-22 14:05:31 EDT
Created attachment 348955 [details]
suspend.py patch with some additional changes - rev 3

removed spurious edit @117
Comment 40 zhanghaiyan 2009-08-17 23:36:10 EDT
Verified PASS with v7-1.0-14.el5 on RHEL5.3-Server-i386 (normal kernel)
Hardware: ThinkPad-T60

Attach results.xml for your reference
Comment 41 zhanghaiyan 2009-08-17 23:36:58 EDT
Created attachment 357730 [details]
results.xml on T60
Comment 44 YangKun 2009-08-20 23:38:07 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
=======
The SUSPEND test always fails.

Consequence:
============
No successful SUSPEND test run.

Fix:
====
Change the test to parse the correct suspendMessage for "suspend" and "hibernate".

Result:
=======
The SUSPEND test works correctly now.
Comment 45 errata-xmlrpc 2009-08-27 12:34:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1234.html

Note You need to log in before you can comment on or make changes to this bug.